namespace efl { namespace ui { namespace focus { 
inline ::efl::eolian::return_traits<Eina_Rectangle>::type Object::focus_geometry_get() const
{
   Eina_Rectangle __return_value =  ::efl_ui_focus_object_focus_geometry_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Eina_Rectangle>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Object::focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_focus_object_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::focus_set( ::efl::eolian::in_traits<bool>::type focus) const
{
    ::efl_ui_focus_object_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(focus));
}
} } } 
namespace eo_cxx {
namespace efl { namespace ui { namespace focus { 
inline ::efl::eolian::return_traits<Eina_Rectangle>::type Object::focus_geometry_get() const
{
   Eina_Rectangle __return_value =  ::efl_ui_focus_object_focus_geometry_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Eina_Rectangle>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Object::focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_focus_object_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::focus_set( ::efl::eolian::in_traits<bool>::type focus) const
{
    ::efl_ui_focus_object_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(focus));
}
inline efl::ui::focus::Object::operator ::efl::ui::focus::Object() const { return *static_cast< ::efl::ui::focus::Object const*>(static_cast<void const*>(this)); }
inline efl::ui::focus::Object::operator ::efl::ui::focus::Object&() { return *static_cast< ::efl::ui::focus::Object*>(static_cast<void*>(this)); }
inline efl::ui::focus::Object::operator ::efl::ui::focus::Object const&() const { return *static_cast< ::efl::ui::focus::Object const*>(static_cast<void const*>(this)); }
} } } }

